{% extends 'base.html' %}
{% load static %}


{% block scripts %}
    <link rel="stylesheet" href="{$ static 'css/ui.css' %}">   
{% endblock scripts %}

{% block content %}

    <div class="top-ui-container">
        <div class="game-text-container">
            <h1 class="game-text-heading">heading</h1>
            <textarea class="game-text-text" style="height: 80%;" readonly>
                {{main_text.current}}
            </textarea>
        </div>
        <div class="map-container">
            <div class = "map-cont-cont">
                <h1 class="map-items" id="map-header">{{map.name}}</h1>
                <img class="map-items" id="map-img" src="/media/maps/game_screen.jpg">
            </div>
        </div>
    </div>

    <div class="ui-container">
        <div class="grid-container">
            <div class="grid-item">
                <form method="post" action="http://localhost:8000/game/actions/">
                    {% csrf_token %}
                    <input type="hidden" name="action" value="inventory">
                    <button type="submit">inventory</button>
                </form>
            </div>
            <div class="grid-item">
                <form method="post" action="http://localhost:8000/game/movement/">
                    {% csrf_token %}
                    <input type="hidden" name="direction" value="up">
                    <button type="submit">up</button>
                </form>
            </div>
            <div class="grid-item">
                <form method="post" action="http://localhost:8000/game/actions/">
                    {% csrf_token %}
                    <input type="hidden" name="action" value="cast">
                    <button type="submit">cast</button>
                </form>
            </div>
            
            <div class="grid-item">
                <form method="post" action="http://localhost:8000/game/movement/">
                    {% csrf_token %}
                    <input type="hidden" name="direction" value="left">
                    <button type="submit">left</button>
                </form>
            </div>
            <div class="grid-item">
                <form method="post" action="http://localhost:8000/game/movement/">
                    {% csrf_token %}
                    <input type="hidden" name="direction" value="down">
                    <button type="submit">down</button>
                </form>
            </div>
            <div class="grid-item">
                <form method="post" action="http://localhost:8000/game/movement/">
                    {% csrf_token %}
                    <input type="hidden" name="direction" value="right">
                    <button type="submit">right</button>
                </form>
            </div>
        </div>
    

    <div class="grid-container">
    {% for action in actions %}
        <div class="grid-item">
            <form method="post" action="http://localhost:8000/game/actions/">
                {% csrf_token %}
                <input type="hidden" name="action" value="{{action}}">
                <button type="submit">{{action}}</button>
            </form>
        </div>
    {% endfor %}
    </div>

    
    <div class="grid-container">
        {% for action in dialogue_actions %}
            <div class="grid-item">
                <form method="post" action="http://localhost:8000/game/actions/">
                    {% csrf_token %}
                    <input type="hidden" name="action" value="talk {{action.1}}">
                    <button type="submit">{{action.0}}</button>
                </form>
            </div>
        {% endfor %}
        </div>
    
        <div class="grid-container">
            {% for word in magic_words %}
                <div class="grid-item">
                    <form method="post" action="http://localhost:8000/game/actions/">
                        {% csrf_token %}
                        <input type="hidden" name="action" value="cast {{word.word}}">
                        <button type="submit">{{word.word}}</button>
                    </form>
                </div>
            {% endfor %}
            </div>
    </div>
{% endblock content%}